=== debian/changelog ===
ros-indigo-m4atx-battery-monitor (0.0.2-0trusty) trusty; urgency=high

  * moved .sh to .bash
  * permissions script added to install
  * Contributors: Russell Toris
  * usb dev added
  * comments
  * moved script
  * Merge branch 'cmdunkers-develop' into develop
  * merege
  * Added a script to make sure the device can be read from
    script applies appropriate permissions
  * revert to 0.0.0'
  * Added a startup script
  * Contributors: Chris Dunkers, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 05 Aug 2014 04:00:00 -0000

ros-indigo-m4atx-battery-monitor (0.0.1-0trusty) trusty; urgency=high

  * changelog updated
  * espeak now used
  * node renamed
  * cleanup
  * Merge pull request #1 from cmdunkers/develop
    battery monitor for the car battery
  * added header to fix error
  * attemp to fix broken pipe by ensuring usb closed after exiting code
  * Updated the conversion for the Voltage input to more accurately represent the input voltage
  * corrected the include file
  * changed the m4api to the newer updated version/ the more accurate one
  * added in sound debug
  * added a line to print the iginition voltage, should be 0
  * Added smicolons
  * added usb reset code
  * Added a values to the message so the value can be linked to an decription
    Also cleaned up the node
  * cleared the build folder
  * Merge branch 'develop' of https://github.com/cmdunkers/m4atx_battery_monitor into develop
  * merged in changes
  * reverted to previous ros node
    config
  * testing out new node code
  * added git ignore
  * Deleted the build folder and added a git ignore
  * Got the other api to make
  * added source code from umd
  * minor fixups
  * Wrote the code but not yet tested
  * Initial commit
  * Contributors: Chris Dunkers, Christopher Dunkers, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 23 Jul 2014 04:00:00 -0000
