=== debian/control ===
Source: ros-indigo-m4atx-battery-monitor
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), libusb-dev, ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/m4atx_battery_monitor
Standards-Version: 3.9.2

Package: ros-indigo-m4atx-battery-monitor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, espeak, libusb-dev, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-std-msgs
Description: Battery Monitor for the M4-ATX Power Module
